VME Intensity Monitor - Feature #11258
Milestone # 10477 (New): ANUB Startup

Triggered Beam Devices
12/19/2015 08:01 PM - John Diamond

Status: Closed Start date: 12/19/2015
Priority: Normal Due date:

Assignee: John Diamond % Done: 100%
Category: Estimated time: 8.00 hours
Target version: Spent time: 9.50 hours
Description

Support for triggered beam devices I:BEAMx and R:BEAMx where x = 1 to 10.

History

#1 - 12/22/2015 12:48 PM - John Diamond
- % Done changed from 0 to 80

Implemented TriggerMgr, TriggerDevice and TriggerDeviceAccessor classes. Device IDs for Trigger ACNET devices are: | pgyic | ACNE | Descri
Configured 10 trigger devices for I:DCCT and R:DCCT.
Verified that triggers work and samples are being returned to ACNET.
Having trouble getting the timing reference displaying on a parameter page. E-mailed Brian Hendricks for help.

Delay settings do not seem to be returned correctly.
Need to implement show routines.

#2 - 12/22/2015 02:53 PM - John Diamond
- % Done changed from 80 to 90

Brian help me get R:DCTT1 working properly. Was able to debug the event & delay setting accessors. Going to make the rest of the ACNET devices
now...

#3 - 12/23/2015 11:55 AM - John Diamond
- Status changed from Assigned to Closed

- % Done changed from 90 to 100

Created devices:

e |:DCCT1 - I:DCCT10 with timer reference devices I:DCTT1 - I:DCTT10
e R:DCCT1 - R:DCCT10 with timer reference devices R:RCTT1 - R:DCTT10
